GET /admin/authenticationservers/{id}
GET https://example.com/admin/authenticationservers/{id}
Description
Gets a specific authentication server based on a given ID. The endpoint was added in DS Server 3.1.0.
Examples
The following sample returns the authentication server with the ID 1.
# Request:
curl GET 'https://trial.dsserver.io/admin/authenticationservers/1' \
'Authorization: Basic YWRtaW46YWRtaW5hZG1pbg=='
# Result:
{
"name": "Server 2",
"serverUrl": "https://ds2.example.com"
}
Authorization
This endpoint supports the Basic authorization method:
Basic
| Header field | Description |
|---|---|
| Authorization | The username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). The return value is an object with the name and the serverUrl of the authentication server. |
Error Response
| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) is returned, if the user is not authorized. |
| 404 | A 404 (Not Found) with an empty body is returned, if the given ID doesn't match an existing authentication server. |